
#include "edu_uthscsa_ric_plugins_mangoplugin_MangoPluginNative.h" 
#include "MJNI.h"

JNIEXPORT jint JNICALL Java_edu_uthscsa_ric_plugins_mangoplugin_MangoPluginNative_doOperationNative(JNIEnv *env, jobject job, 
		jobject imageVol, int cols, int rows, int slices, int timepoints) {
	float* image = getImageData(env, imageVol);  // gets the data pointer
	
	int sliceSize = cols * rows;
	int volSize = sliceSize * slices;

	for (int ctrT = 0; ctrT < timepoints; ctrT++) {
		int offsetT = ctrT * volSize;
	
		for (int ctrS = 0; ctrS < slices; ctrS++) {
			int offsetS = ctrS * sliceSize;
		
			for (int ctrR = 0; ctrR < rows; ctrR++) {
				int offsetR = ctrR * cols;
			
				for (int ctrC = 0; ctrC < cols; ctrC++) {
					image[offsetT + offsetS + offsetR + ctrC] += 1;
				}
			}
		}
	}

	return 0;
}
